import { select, arc } from "d3";

const svg 		= d3.select('svg');


const height 	= +svg.attr('height');
const width 	= +svg.attr('width');

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height / 2})`);


const circle 	= g.append('circle')
  .attr('r', height / 2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');
	
const eyespacing = 100
const eyeY = -60

const leftEye 	= svg.append('circle')
  .attr('r', 25)
	.attr('cx', width / 2 - eyespacing)
	.attr('cy', height / 2 + eyeY)
	.attr('fill', 'black');

const rightEye	= svg.append('circle')
  .attr('r', 25)
	.attr('cx', width / 2 + eyespacing)
	.attr('cy', height / 2 + eyeY)
	.attr('fill', 'black');


const mouth = g.append('path')
	.attr('d', arc()({
    innerReadius: 150,
    outerRadius: 130,
    startAngle: Math.PI / 2,
    endAngle: Math.PI * 3/2
  	}));

